import { Token } from '@aws-cdk/cdk';
export declare class JsonPathToken extends Token {
    readonly path: string;
    static isJsonPathToken(x: any): x is JsonPathToken;
    constructor(path: string);
}
/**
 * Deep render a JSON object to expand JSON path fields, updating the key to end in '.$'
 */
export declare function renderObject(obj: object | undefined): object | undefined;
/**
 * Return all JSON paths that are used in the given structure
 */
export declare function findReferencedPaths(obj: object | undefined): Set<string>;
interface FieldHandlers {
    handleString(key: string, x: string): {
        [key: string]: string;
    };
    handleList(key: string, x: string[]): {
        [key: string]: string[] | string;
    };
    handleNumber(key: string, x: number): {
        [key: string]: number | string;
    };
}
export declare function recurseObject(obj: object | undefined, handlers: FieldHandlers): object | undefined;
export {};
